/* Reset */
html, body, div, h1, h2, h3, h4, h5, h6, ul, ol, dl, li, dt, dd, p, blockquote, pre, form, fieldset, table, th, td { margin: 0; padding: 0; }
img { border: 0; }
ol, ul, dl { list-style: none; }
article, aside, canvas, details, figcaption, figure, footer, header, hgroup, menu, nav, section, summary, mark, time { display: block; }
table { border-spacing: 0; border-collapse: collapse; }
input, select, textarea { -webkit-appearance: none; border-radius: 0; }
* { -webkit-tap-highlight-color: rgba(0, 0, 0, 0); }

/* Global */
body, html {
  height: 100%;
  font-size: 100%;  
  -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-family: "Lato", sans-serif;
  color: #fff;
  font-weight: 300;
  background: #1e4d65;
}

h1 {
  color: #00a6fb;
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

h2 {
  color: #fff;
  font-size: 1.375rem;
  margin-bottom: 0.8rem;
}

hr {
  height: 1px;
  background: none;
  border: none;
  border-bottom: solid 2px #193849;
  margin: 2rem 0;
}

a {
  color: #00a6fb;
}

table {
  width: 100%;
  margin: 20px 0 40px 0;
  text-align: left;
  line-height: 1.5rem;
  background: #072433;
  border-radius: .5rem;
  overflow: hidden;
}

table thead {
  background: #072433;
}

table thead tr th {
  color: #00a6fb;
  font-size: 1.125rem;
}

table tbody tr:nth-child(even) td {
  background: rgba(255, 255, 255, .05);
}

table tbody tr:nth-child(odd) td {
  background: rgba(255, 255, 255, .03);
}

table th,
table td {
  padding: 1rem 1.25rem;
  vertical-align: top;
}

table th a,
table td a {
  color: #fff;
  text-decoration: none;
  font-weight: 700;
}

table th a:hover,
table td a:hover {
  text-decoration: underline;
}

table td {
  padding-top: .5rem;
  padding-bottom: .5rem;
}

table th.nowrap,
table td.nowrap {
  white-space: nowrap;
}

table th.chk,
table td.chk {
  padding-right: 0;
}

table tr th.main,
table tr td.main {
  width: 50%;
}

table th.total,
table td.total {
  text-align: right;
}

table th.alignright,
table td.alignright {
  text-align: right;
}

table tfoot {
  background: #072433;
}

table tfoot td {
  font-weight: 700;
  padding-top: 15px;
  padding-bottom: 15px;
}

table.ui-datepicker-calendar tbody tr:nth-child(even) td {
  background: none;
}

/* Container */
div.wrap {
  position: relative;
  width: 100%;
}

div.container {
  position: relative;
  display: block;
  background: #163241;
}

div.row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-bottom: 40px;
  grid-gap: 40px;
}

/* Header */
header {
  position: relative;
  width: 100%;
  height: 70px;
  background: #051923;
}

header h1 {
  position: absolute;
  top: 12px;
  left: 30px;
  margin: 0;
  text-transform: uppercase;
  font-size: 2rem;
}

header h1 a {
  font-size: 26px;
  text-decoration: none;
  font-weight: 300;
  color: #fff;
}

header h1 a span {
  font-weight: 700;
  color: #00a6fb;
  text-transform: uppercase;
}

/* Menus */
nav#top-menu {
  position: absolute;
  top: 0;
  right: 30px;
  text-align: right;
}

nav#top-menu ul li {
  display: inline-block;
  margin-left: 30px;
}

nav#top-menu ul li:first-of-type { margin-left: 0; }

nav#top-menu ul li a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 700;
  line-height: 68px;
}

nav#top-menu ul li a:hover {
  text-decoration: underline;
}

nav#side-menu {
  position: relative;
  width: 360px;
  background: #072433;
}

.company-logo {
  display: block !important;
  margin: 3rem auto;
  width: auto;
  max-width: 60%;
  max-height: 100px;  
}

nav#side-menu > ul {
  position: relative;
  box-shadow: 0 -5px 5px rgba(0, 0, 0, 0.1);
}

nav#side-menu ul li {
  position: relative;
  width: 100%;
  box-sizing: border-box;
}

nav#side-menu ul li:hover {
  background: #0c3043
}

nav#side-menu ul li ul {
  display: none;
  padding: 10px 0;
  margin-bottom: 10px
}

nav#side-menu ul li.current {
  background: #00a6fb;
}

nav#side-menu ul li.current ul {
  display: block;
  background: #0a2e41;
}

nav#side-menu ul li a {
  display: block;
  text-transform: uppercase;
  color: #fff;
  text-decoration: none;
  padding: 20px 30px;
  font-weight: 700;
}

nav#side-menu > ul > li.current > a:hover {
  background: #10b6fb;
}

nav#side-menu ul li ul li a {
  text-transform: none;
  padding: 8px 30px 8px 45px;
  font-weight: 300;
}

nav#side-menu ul li ul li a:hover {
  text-decoration: underline;
}

nav#side-menu ul li ul li.current {
  background: none;
}

nav#side-menu ul li ul li.current a {
  font-weight: 700;
}

/* Content */
section {
  display: flex;
  width: 100%;
  flex-direction: row;
}

div#content {
  position: relative;
  padding: 40px;
  box-sizing: border-box;
  flex: 1;
  min-height: 100vh;
}

div#content > *:last-child {
  margin-bottom: 0;
}

div#content.full {
  width: 100%;
  background: #072433;
}

div#content.login {
  text-align: center;
}

div#content.login h1 {
  margin-bottom: 2rem;
}

div#content.login form {
  margin: 0 auto;
  width: 90%;
  max-width: 20rem;
}

div#content.login input[type="text"],
div#content.login input[type="password"],
div#content.login input[type="submit"] {
  margin-bottom: 1rem;
  width: 100%;
}

div#content.login .checkbox {
  margin-bottom: 30px;
  margin-top: -8px;
  width: 100%;
  text-align: left;
}

div#content.login .checkbox input[type="checkbox"] {
  margin-right: 5px;
}

div#content.login .checkbox input[type="checkbox"]:before {
  margin-top: 5px;
}

div#content.login .company-logo {
  margin: 1rem auto 2rem auto;
}

table.overview {
  background: none;
  margin-top: 0;
  width: auto;
}

table.overview th,
table.overview td {
  padding: 0;
  text-align: left;
  padding-right: 4rem;
}

table.overview tbody td {
  background: none !important;
}

table.overview tbody:before,
table.overview tbody:after {
  content: "";
}

#message {
  display: none;
  width: 100%;
  margin-bottom: 2rem;
  padding: 15px 20px;
  box-sizing: border-box;
  border: dashed 1px #fff;
  background: rgba(255, 255, 255, .1);
}
#message:before {
  margin-right: .5rem;
}

#message.success:before {
  content: "\2713";
  color: #22ee22;
}

#message.failure:before {
  content: "X";
  color: #ee2222;
  font-weight: 700;
}

#no-results {
  display: none;
}

.will_not_get_paid {
  position: relative;
  text-align: center;
}

.will_not_get_paid:before {
  content: "X";
  color: #ee2222;
  font-weight: 700;
  margin-right: 6px;
}

/* Forms */
form {
  margin-bottom: 2rem;
}

.form-inputs {
  display: grid;
  grid-gap: 0 .8rem;
}

.form-inputs.three { grid-template-columns: 2fr 1fr 2fr; }
.form-inputs.four { grid-template-columns: 2fr 1fr 1fr 1fr; }
.form-inputs.five { grid-template-columns: 2fr 1fr 1fr 1fr 1fr; }
.form-inputs.six { grid-template-columns: 2fr 1fr 1fr 1fr 1fr 1fr; }

label {
  display: block;
  margin-bottom: 1rem;
  font-weight: 700;
}

input[type="text"],
input[type="password"],
textarea {
  background: #fff;
  border: none;
  padding: 8px 12px;
  font-family: "Lato", sans-serif;
  font-size: 1em;
  width: 100%;
  box-sizing: border-box;
  margin-bottom: 2em;
  outline: none;
}

textarea {
  height: 8rem;
}

.button,
input[type="submit"],
button {
  background: #00a6fb;
  color: #fff;
  text-transform: uppercase;
  text-align: center;
  border: none;
  padding: 10px 30px;
  cursor: pointer;
  margin-right: 1rem;
  margin-bottom: 1rem;
  outline: none;
  display: inline-block;
  vertical-align: top;
  font-size: .875rem;
  border-radius: 10rem;
  text-decoration: none;
}

.button:hover,
input[type="submit"]:hover,
button:hover {
  background: #10b6fb;
}

input[type="checkbox"] {
  position: relative;
  text-indent: -9999px;
  width: 16px;
  height: 16px;
  outline: none;
}

input[type="checkbox"]:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
  background-color: #fff;
  cursor: pointer;
  margin-top: 3px;
}

input[type="checkbox"]:checked:before {
  background: #00a6fb;
}

.page-top-items {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.search_form {
  text-align: right;
}

.search_form input {
  width: 300px;
  text-align: left;
  margin-bottom: 0;
}

/* Misc */
div.clear {
  clear: both;
  height: 0px;
}

/* Media queries */
@media only screen and (max-width : 1440px) {
  div#content.login .company-logo {
    max-height: 140px;
  }

  .form-inputs.three { grid-template-columns: 1fr 1fr 1fr; }
  .form-inputs.four { grid-template-columns: 1fr 1fr 1fr 1fr; }
  .form-inputs.five { grid-template-columns: 1fr 1fr 1fr 1fr 1fr; }
  .form-inputs.six { grid-template-columns: 2fr 1fr 1fr 1.8fr 1.5fr .8fr; }
}

@media only screen and (max-width : 1280px) {
  h1 {
    font-size: 1.6rem;
  }

  h2 {
    font-size: 1.2rem;
  }

  header {
    height: 58px;
  }

  div#content.login .company-logo {
    max-height: 100px;
  }

  nav#top-menu ul li a {
    line-height: 54px;
  }
}

@media only screen and (max-width : 960px) {
  section {
    flex-direction: column;
  }

  nav#side-menu,
  div#content {
    width: 100%;
  }

  div#content {
    padding: 30px;
  }

  .company-logo {
    max-height: 100px;
    margin: 2rem auto;
  }

  .form-inputs {
    display: block;
  }
  
  label {
    margin-bottom: .5rem;
  }

  input[type="text"],
  input[type="password"],
  textarea {
    margin-bottom: 1.1rem;
  }
}

@media only screen and (max-width : 768px) {
  body {
    font-size: .825rem;
  }

  td,
  th {
    width: auto !important;
  }

  nav#top-menu ul li a {
    line-height: 56px;
  }
  
  .search_form input {
    width: 100%;
  }
  
  table, thead, tbody, tfoot, th, td, tr { 
		display: block;
		background: none !important;
	}
	
	thead tr { 
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	
	th,
	td {
		position: relative;
		padding: 0 0 0 50% !important;
	}
	
	th:first-child,
	td:first-child,
	td.job_description {
    padding-left: 0 !important;
    padding-bottom: 2px !important;
	}
	
	th:before,
	td:before {
    content: attr(data-title);
		position: absolute;
		top: o;
		left: 0;
		width: 45%;
		white-space: nowrap;
	}
	
	table th.alignright,
	table td.alignright,
	table th.total,
	table td.total {
    text-align: left !important;
	}
	
	tr {
    margin-bottom: 15px;
	}
	
	tfoot {
    border-top: solid 1px #fff;
    padding-top: 10px;
	}
	
	table.overview th {
    display: none;
	}
	
	table.overview tr {
    margin-bottom: 0;
	}
	
	table.overview td:before {
    font-weight: 700;
	}
}

@media only screen and (max-width : 480px) {
  h1 {
    font-size: 1.4rem;
  }

  h2 {
    font-size: 1rem;
  }

  hr {
    margin: 1.5rem 0 1.5rem 0;
  }
  
  table {
    margin-bottom: 20px;
  }
  
  div.container {
    width: 100%;
    margin: 0;
  }

  header {
    height: 50px;
  }
  
  header h1 {
    top: 7px;
    left: 20px;
  }
  
  header h1 a {
    font-size: 1rem;
  }

  div#content {
    padding: 20px;
  }

  nav#top-menu {
    right: 20px;
  }

  nav#top-menu ul li a {
    line-height: 48px;
  }
  
  nav#side-menu ul li a {
    padding: 15px 20px;
  }

  nav#side-menu ul li ul li a {
    padding: 4px 20px 4px 30px;
  }
}